<h1>Account Deposit</h1>
<div class="card">
  <form (submit)="performDeposit()">
    <label>
      Amount:
      <input
        type="number"
        [(ngModel)]="amount"
        name="amount"
        placeholder="Enter amount"
        min="1"
        max="10000"
      />
    </label>
    <input type="submit" value="Deposit" (click)="performDeposit()" />
  </form>

  <p *ngIf="balance !== undefined">Your balance is ${{ balance.toFixed(2) }}</p>
</div>
